Skip to main content
GET
/
api
/
v4
/
kyt
/
checks
/
transaction
List transaction checks
curl --request GET \
  --url https://api.example.com/api/v4/kyt/checks/transaction \
  --header 'ds-api-token: <api-key>'
{
  "data": [
    {
      "alerts": [
        {
          "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
          "alert_id": "8d111a21-007e-4c87-b110-c11111dd4abf",
          "balance": "0.150",
          "blockchain": "eth",
          "date": "2023-11-07T05:31:56Z",
          "id": "9d888b12-007e-2a09-a140-c77788dd4dba",
          "risk_grade": "high",
          "risk_profile": "Standard",
          "status": true,
          "token": "",
          "triggered_by": [
            {
              "total": "150.00",
              "total_count": "3",
              "total_count_coef": "0.01",
              "type": "SANCTIONS",
              "type_label": "Sanctions"
            }
          ]
        }
      ],
      "block_number": 19500000,
      "blockchain": "eth",
      "error": "",
      "from_entity": [
        {
          "name": "Coinbase",
          "type": "EXCHANGE_LICENSED",
          "type_label": "Licensed Exchange"
        }
      ],
      "id": "a1b2c3d4-e5f6-4890-8bcd-ef1234567890",
      "indirects": [
        {
          "risk_score_grade": "moderate",
          "total": "50.00",
          "total_count": "1",
          "total_count_coef": "0.005",
          "type": "MIXING_SERVICE",
          "type_label": "Mixing Service"
        }
      ],
      "inputs": 2,
      "outputs": 2,
      "risk_score": "0.15",
      "risk_score_grade": "low",
      "status": "success",
      "timestamp": "2023-11-07T05:31:56Z",
      "to_entity": [
        {
          "name": "Unknown",
          "type": "ONLINE_WALLET",
          "type_label": "Online Wallet"
        }
      ],
      "token": ""
    }
  ],
  "has_next": true
}

Authorizations

ds-api-token
string
header
required

API token passed in the request header.

Query Parameters

page
integer | null
default:0

Page number (0-based).

limit
integer | null
default:20

Number of results per page (1-200, default 20).

Response

OK